---
search:
  tags:
    - Players
    - GET
seo:
  description: >-
    Returns windowed per-leg statistics for one game type, using the same…
    Reference for the GET /players/{id}/statistics endpoint in the dartpilot
    Public API.
sidebar:
  label: Get player statistics
  badge: GET
title: Get player statistics
type: openapi-operation
---
Returns windowed per-leg statistics for one game type, using the same aggregation as the app. The per-leg rows are omitted; use the trend and games endpoints for history. The target must be the key owner or an accepted friend.

`GET /players/{id}/statistics`

**Responses**

- `200` — The player statistics.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "gameType": "x01",
  "window": -9007199254740991,
  "lifetime": {
    "legsPlayed": 0,
    "winRatePlayed": 0,
    "winRateWon": 0,
    "threeDartAvg": 0
  },
  "tier": {
    "id": "starter",
    "label": "string",
    "minAvg": 0,
    "description": "string",
    "metallic": true
  },
  "summary": {
    "legsPlayed": 0,
    "legsWon": 0,
    "threeDartAvg": 0,
    "first9Avg": 0,
    "avgUntil170": 0,
    "checkoutAttempts": 0,
    "checkoutSuccess": 0,
    "checkoutPct": 0,
    "checkoutByBand": [
      {
        "band": "2-40",
        "attempts": 0,
        "success": 0,
        "pct": 0
      }
    ],
    "checkoutVisits": 0,
    "busts": 0,
    "bustPct": 0,
    "finishLength": {
      "oneDart": 0,
      "twoDart": 0,
      "threeDart": 0
    },
    "longFinish": [
      {
        "threshold": "170",
        "attempts": 0,
        "success": 0,
        "pct": 0
      }
    ],
    "doubles": {
      "overall": {
        "attempts": 0,
        "hits": 0,
        "hitPct": 0,
        "costPerDouble": 0
      },
      "perDouble": [
        {
          "double": -9007199254740991,
          "label": "string",
          "attempts": 0,
          "hits": 0,
          "hitPct": 0,
          "costPerDouble": 0
        }
      ],
      "weakest": [
        {
          "double": -9007199254740991,
          "label": "string",
          "attempts": 0,
          "hits": 0,
          "hitPct": 0,
          "costPerDouble": 0
        }
      ],
      "strongest": [
        {
          "double": -9007199254740991,
          "label": "string",
          "attempts": 0,
          "hits": 0,
          "hitPct": 0,
          "costPerDouble": 0
        }
      ]
    },
    "leaves": {
      "perDouble": [
        {
          "double": -9007199254740991,
          "label": "string",
          "leaves": 0,
          "conversions": 0,
          "conversionPct": 0
        }
      ],
      "mostLeft": [
        {
          "double": -9007199254740991,
          "label": "string",
          "leaves": 0,
          "conversions": 0,
          "conversionPct": 0
        }
      ]
    },
    "checkoutPointsAvg": 0,
    "bestCheckout": 0,
    "count60Plus": 0,
    "count100Plus": 0,
    "count140Plus": 0,
    "count170Plus": 0,
    "count180": 0,
    "count100PlusCheckouts": 0
  },
  "previous": {
    "legsPlayed": 0,
    "legsWon": 0,
    "threeDartAvg": 0,
    "first9Avg": 0,
    "avgUntil170": 0,
    "checkoutAttempts": 0,
    "checkoutSuccess": 0,
    "checkoutPct": 0,
    "checkoutByBand": [
      {
        "band": "2-40",
        "attempts": 0,
        "success": 0,
        "pct": 0
      }
    ],
    "checkoutVisits": 0,
    "busts": 0,
    "bustPct": 0,
    "finishLength": {
      "oneDart": 0,
      "twoDart": 0,
      "threeDart": 0
    },
    "longFinish": [
      {
        "threshold": "170",
        "attempts": 0,
        "success": 0,
        "pct": 0
      }
    ],
    "doubles": {
      "overall": {
        "attempts": 0,
        "hits": 0,
        "hitPct": 0,
        "costPerDouble": 0
      },
      "perDouble": [
        {
          "double": -9007199254740991,
          "label": "string",
          "attempts": 0,
          "hits": 0,
          "hitPct": 0,
          "costPerDouble": 0
        }
      ],
      "weakest": [
        {
          "double": -9007199254740991,
          "label": "string",
          "attempts": 0,
          "hits": 0,
          "hitPct": 0,
          "costPerDouble": 0
        }
      ],
      "strongest": [
        {
          "double": -9007199254740991,
          "label": "string",
          "attempts": 0,
          "hits": 0,
          "hitPct": 0,
          "costPerDouble": 0
        }
      ]
    },
    "leaves": {
      "perDouble": [
        {
          "double": -9007199254740991,
          "label": "string",
          "leaves": 0,
          "conversions": 0,
          "conversionPct": 0
        }
      ],
      "mostLeft": [
        {
          "double": -9007199254740991,
          "label": "string",
          "leaves": 0,
          "conversions": 0,
          "conversionPct": 0
        }
      ]
    },
    "checkoutPointsAvg": 0,
    "bestCheckout": 0,
    "count60Plus": 0,
    "count100Plus": 0,
    "count140Plus": 0,
    "count170Plus": 0,
    "count180": 0,
    "count100PlusCheckouts": 0
  }
}
```
